#include "state.h"
state_t* create_state(state_id_t id, next_state_fun_t next, get_output_fun_t out)
{
	state_t* s = (state_t*)malloc(sizeof(state_t));
	assert(s!=NULL);
	s->next_state = next;
	s->update_output = out;
	s->id = id;
	return s;
}

void destroy_state(state_t* s)
{
	if(s)
		free(s);
}
